curl --request POST \
--url https://openapi.imini.ai/imini/router/v1/images/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "google/nano-banana-pro",
"prompt": "A cute shiba inu in a spacesuit standing on the moon, 3D cartoon style",
"aspect_ratio": "1:1",
"resolution": "1K"
}
'{
"task_id": "task_2041350318103396352",
"model": "google/nano-banana",
"created_at": "2026-04-07T03:00:17.062Z",
"request_id": "285f20ce-8158-401b-945c-7bc6a7ef6ead"
}{
"error": {
"code": "INVALID_PROMPT",
"message": "Prompt contains disallowed content",
"status": 400,
"request_id": "req_abc123"
}
}Nano Banana Pro
Google Gemini 3 Pro image generation model. Up to 4K output and up to 14 reference images.
curl --request POST \
--url https://openapi.imini.ai/imini/router/v1/images/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "google/nano-banana-pro",
"prompt": "A cute shiba inu in a spacesuit standing on the moon, 3D cartoon style",
"aspect_ratio": "1:1",
"resolution": "1K"
}
'{
"task_id": "task_2041350318103396352",
"model": "google/nano-banana",
"created_at": "2026-04-07T03:00:17.062Z",
"request_id": "285f20ce-8158-401b-945c-7bc6a7ef6ead"
}{
"error": {
"code": "INVALID_PROMPT",
"message": "Prompt contains disallowed content",
"status": 400,
"request_id": "req_abc123"
}
}Authorizations
Pass Authorization: Bearer <YOUR_API_KEY> in the request header. Go to the API Keys management page to create and manage API Keys.
Body
Fixed value google/nano-banana-pro.
The prompt. Up to 6000 characters. Supports English and Chinese; detail-rich descriptions yield better results.
"A majestic snow-capped mountain at golden hour, ultra-realistic photography"
Reference image list. Omitting or passing an empty array means text-to-image mode; passing images switches to image-to-image / style reference mode. Up to 14 images.
14Show child attributes
Show child attributes
Output aspect ratio. Allowed values:
1:1 2:3 3:2 3:4 4:3 4:5 5:4 9:16 16:9 21:9
When reference images are provided and this parameter is omitted, the model automatically infers the aspect ratio from the reference images and uses it as the output ratio.
1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9, 21:9 Output quality tier: 1K / 2K / 4K.
1K, 2K, 4K Response
Submitted successfully
Unique task ID, used for subsequent polling
"task_2041350318103396352"
The model ID used for this task
"google/nano-banana"
Task creation time
"2026-04-07T03:00:17.062Z"
Unique request ID
"285f20ce-8158-401b-945c-7bc6a7ef6ead"

